        function ListAds(resData) {
            
            $("#lblHousing").text(GetDBString("Housing",lang));
            $("#lblForSale").text(GetDBString("ForSale",lang));
            $("#lblPersonals").text(GetDBString("Personals",lang));
            $("#lblAnnouncements").text(GetDBString("Announcements",lang));
            $("#lblAdvertisements").text(GetDBString("Advertisements",lang));
            
            document.getElementById("Housing").innerHTML = "";
            document.getElementById("ForSale").innerHTML = "";
            document.getElementById("Personals").innerHTML = "";
            document.getElementById("Announcements").innerHTML = "";
            document.getElementById("Advertisements").innerHTML = "";

            var cntHousing = 0;
            var cntForSale = 0;
            var cntPersonals = 0;
            var cntAnnouncements = 0;
            var cntAdvertisements = 0;
            var metricName = "km";
            var metricSystem = document.getElementById("MetricSystem").value;

            for (var i = 0; i < resData.length; i++)
            {
                if (metricSystem == "M")
                    metricName = "miles"
                else
                    metricName = "km"
                
                var html = "<table id='tblLink'>";
                
                if (resData[i].NF == "E")
                    html = "<tr><td><a onclick='AdClick(this.id)' href='#' id='" + resData[i].N + "'><span class='cssSpan'>" + resData[i].S1 + " <font color='#EE2A7B'> ~ " + resData[i].D + " " + metricName + "</font><span>&nbsp;&nbsp;&nbsp;<img src='img/new_"+lang+".gif'  width='20px' height='20px' /></a><p></td></tr>";      
                else    
                    html = "<tr><td><a onclick='AdClick(this.id)' href='#' id='" + resData[i].N + "'><span class='cssSpan'>" + resData[i].S1 + " <font color='#EE2A7B'> ~ " + resData[i].D + " " + metricName + "</font><span></a><p></td></tr>";
                
                html = html + "</table>";
                
                if (resData[i].C == "1") {
                    $('#Housing').append(html);
                    cntHousing++;
                }
                if (resData[i].C == "2") {
                    $('#ForSale').append(html);
                    cntForSale++;
                }
                if (resData[i].C == "3") {
                    $('#Personals').append(html)
                    cntPersonals++;
                }
                if (resData[i].C == "4") {
                    $('#Announcements').append(html)
                    cntAnnouncements++;
                }
                if (resData[i].C == "5") {
                    $('#Advertisements').append(html)
                    cntAdvertisements++;
                }                        
            }
            $('#Housing').trigger('create');
            $('#ForSale').trigger('create');
            $('#Personals').trigger('create');
            $('#Announcements').trigger('create');
            $('#Advertisements').trigger('create');

            document.getElementById("lblHousing").innerText += " - " + cntHousing.toString();
            document.getElementById("lblForSale").innerText += " - " + cntForSale.toString();
            document.getElementById("lblPersonals").innerText += " - " + cntPersonals.toString();
            document.getElementById("lblAnnouncements").innerText += " - " + cntAnnouncements.toString();
            document.getElementById("lblAdvertisements").innerText += " - " + cntAdvertisements.toString();
            OpenAdList();
        }        



        function OpenMainPage()
        {
            document.removeEventListener("backbutton", GoBack);
            OpenIndex("");
        } 
        
        function RefreshList()
        {
            action = "Refresh";
            refreshFlag = "E";
            document.getElementById("linkHome").style.backgroundColor="#FFFFFF";
            document.getElementById("linkRefresh").style.backgroundColor="#B6F3FA";
            document.getElementById("linkChat").style.backgroundColor="#FFFFFF";
            document.getElementById("linkForm").style.backgroundColor="#FFFFFF";
            document.getElementById("linkPost").style.backgroundColor="#FFFFFF";
            document.getElementById("linkInfo").style.backgroundColor="#FFFFFF";
            document.getElementById("footerMenu").style.display = "none";
            backPage = "index";
            currentPage = "AdList";
            
            CloseAllDivs();
            OpenIndex("refresh");
        }

        function RefreshListForLanguage()
        {
            lang = document.getElementById("Languages").value;

            action = "Refresh";
            refreshFlag = "H";
            document.getElementById("linkHome").style.backgroundColor="#FFFFFF";
            document.getElementById("linkRefresh").style.backgroundColor="#B6F3FA";
            document.getElementById("linkChat").style.backgroundColor="#FFFFFF";
            document.getElementById("linkForm").style.backgroundColor="#FFFFFF";
            document.getElementById("linkPost").style.backgroundColor="#FFFFFF";
            document.getElementById("linkInfo").style.backgroundColor="#FFFFFF";
            document.getElementById("footerMenu").style.display = "none";
            backPage = "index";
            currentPage = "AdList";
            
            CloseAllDivs();
            GetLanguages();
            OpenIndex("refresh");
    
        }

        function AdClick(e)
        {
            backPage = "AdList";
            currentPage = "AdList";
            GetAdDetail(e);
        }

        function OpenAdEntry()
        {
            action = "AdEntry";
            if (oprType == "Edit" || oprType == "Copy")
            {
                document.getElementById("Subject").value="";
                document.getElementById("Message").value="";
                document.getElementById("imgprvw1").src == "";
                document.getElementById("imgprvw2").src == "";
                document.getElementById("imgprvw3").src == "";
                document.getElementById("imgprvw4").src == "";
                document.getElementById("imgprvw5").src == "";
                document.getElementById("divImg1").style.display = "none";
                document.getElementById("divImg2").style.display = "none";
                document.getElementById("divImg3").style.display = "none";
                document.getElementById("divImg4").style.display = "none";
                document.getElementById("divImg5").style.display = "none";
                document.getElementById("divImg6").style.display = "none";
                document.getElementById("divImg7").style.display = "none";
                document.getElementById("divImg8").style.display = "none";
                document.getElementById("divImg9").style.display = "none";
                document.getElementById("divImg10").style.display = "none";                
                $('#Category').val("-1").change();
                img1=""; img2=""; img3=""; img4=""; img5=""; img6=""; img7=""; img8=""; img9=""; img10="";
            }
            oprType = "";
            $("#lblPublish").text(GetDBString("Publish",lang));
            document.getElementById("linkHome").style.backgroundColor="#FFFFFF";
            document.getElementById("linkRefresh").style.backgroundColor="#FFFFFF";
            document.getElementById("linkChat").style.backgroundColor="#FFFFFF";
            document.getElementById("linkForm").style.backgroundColor="#B6F3FA";
            document.getElementById("linkPost").style.backgroundColor="#FFFFFF";
            document.getElementById("linkInfo").style.backgroundColor="#FFFFFF";
            
            Diagnostic.prototype.isLocationEnabled(successGPSAdEntry,failGPS);
        }
        
        function successGPSAdEntry(result)
        {
            if (!result)
            {
                backPage = "index";
                currentPage = "index";
                navigator.notification.alert(GetDBString("OpenYourGPS",lang));
                return;
            }
            backPage = "AdList";
            currentPage = "AdEntry";
            CloseAllDivs();
            if (action == "AdEntry")
                document.getElementById("divAdEntry").style.display = "block";
            
            navigator.geolocation.getCurrentPosition(onSuccessAdEntry,onErrorAdEntry,{enableHighAccuracy:true,timeout:8000,maximumAge:0})            
        }

        function onSuccessAdEntry(position) {
            gpsX = position.coords.latitude;
            gpsY = position.coords.longitude;
            GetLocationAdEntry(gpsX,gpsY);
        }
        
        function GetLocationAdEntry(x,y) {
            gpsX = x;
            gpsY = y;

            $.ajax({
                url: 'http://maps.googleapis.com/maps/api/geocode/json?latlng=' + gpsX + ',' + gpsY + '&sensor=true',
                success: function (data) {
                    resData = data;
                },
                async: false
            });

            address = resData.results[0].formatted_address;


            for (var i = 0; i < resData.results[0].address_components.length; i++) {
                for (var j = 0; j < resData.results[0].address_components[i].types.length; j++) {
                    if (resData.results[0].address_components[i].types[j] == 'administrative_area_level_1')
                        city_name = resData.results[0].address_components[i].long_name;
                    if (resData.results[0].address_components[i].types[j] == 'country')
                        country = resData.results[0].address_components[i].short_name;
                }
            }
            
            if (city_name == "")
            {
                for (var i = 0; i < resData.results[0].address_components.length; i++) {
                    for (var j = 0; j < resData.results[0].address_components[i].types.length; j++) {
                        if (resData.results[0].address_components[i].types[j] == 'administrative_area_level_2')
                            city_name = resData.results[0].address_components[i].long_name;
                    }
                }
            }
            
        }

        function OpenMailBox()
        {
            action = "Mail";
            document.getElementById("linkHome").style.backgroundColor="#FFFFFF";
            document.getElementById("linkRefresh").style.backgroundColor="#FFFFFF";
            document.getElementById("linkChat").style.backgroundColor="#B6F3FA";
            document.getElementById("linkForm").style.backgroundColor="#FFFFFF";
            document.getElementById("linkPost").style.backgroundColor="#FFFFFF";
            document.getElementById("linkInfo").style.backgroundColor="#FFFFFF";
            

            backPage = "AdList";
            currentPage = "MessageHome";
            CloseAllDivs();
            document.getElementById("divLoader").style.display = "block"
            $('#MessageList').empty();
            
            $.ajax({
                type: "POST",
                url: "http://www.whatscircle.com/Common.aspx/GetMessages",
                data: "{platformReceiver:'" +device.platform + "',phoneIDReceiver:'" +device.uuid+ "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                async:false,
                success: function (response) {
                    for (var i = 0; i < response.d.length; i++)
                    {
                        var userName = GetDBString("User",lang) + " - " + (i+1).toString();
                        
                        if (response.d[i].ReadFlag == "E")
                            $('#MessageList').append("<li><a platformSender='"+response.d[i].PlatformSender+"'    phoneIDSender='"+response.d[i].PhoneIDSender+"' AdID = '" + response.d[i].AdID + "' onclick= 'OpenDetail(this)' href='#' ><font color='grey'>"+userName+"<br><br>"+response.d[i].Message+"</font></a></li>")
                        else
                            $('#MessageList').append("<li><a platformSender='"+response.d[i].PlatformSender+"'   phoneIDSender='"+response.d[i].PhoneIDSender+"'  AdID = '" + response.d[i].AdID + "' onclick= 'OpenDetail(this)'  href='#'>"+userName+ "<br><br>" +response.d[i].Message+ "</a></li>")

                    }
                    
                    if (action == "Mail")
                    {
                        document.getElementById("divLoader").style.display = "none"
                        document.getElementById("divMessages").style.display = "block";
                        document.getElementById("MessageHome").style.display = "block";
                        document.getElementById("headline").style.display="none";
                    }
                    $('#MessageList').listview("refresh");                    
                        
                },

                error: function (response) {
                    console.log(response);
                }
            });            
        }

        
        function GetMessageDetail(platformSender, phoneIDSender, adID)
        {
            action = "MessageDetail";
            backPage = "MessageHome";
            currentPage = "MessageDetail";
            $.ajax({
                type: "POST",
                url: "http://www.whatscircle.com/Common.aspx/GetMessagesDetail",
                data: "{platformReceiver:'" +device.platform + "',phoneIDReceiver:'" +device.uuid+ "',platformSender:'" +platformSender + "',phoneIDSender:'" +phoneIDSender+ "',id:'"+ adID +"'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                async:false,
                success: function (response) {
                    for (var i = 0; i < response.d.length; i++)
                    {
                        var d = response.d[i].MessageDate.replace( /[\\/]/g, "");
                        var dd = eval("new " + d);
                     
                        if (regID != response.d[0].RegIDSender)
                            regIDReceiver = response.d[0].RegIDSender
                        else
                            regIDReceiver = response.d[0].RegIDReceiver
                        
                        var user = "";    
                        if (device.platform == response.d[i].PlatformSender && device.uuid == response.d[i].PhoneIDSender)
                            user = GetDBString("You",lang)
                        
                        var strDate = dd.toLocaleDateString() + "  " + dd.toLocaleTimeString();
                        if (user != "")
                            $('<dt>').append('<b>'+strDate+'<br>' + user + ' : </b><br>' + response.d[i].Message + '<hr>').appendTo('#MessageDetail');
                        else
                            $('<dt>').append('<b>'+strDate+'</b><br>' +response.d[i].Message + '<hr>').appendTo('#MessageDetail');
                    }

                    document.getElementById("divLoader").style.display = "none";
                    document.getElementById("MessageHome").style.display="none";
                    document.getElementById("divMessages").style.display="none";
                    document.getElementById("headline").style.display="block";
                    $('#MessageDetail').listview("refresh");
                },

                error: function (response) {
                    navigator.notification.alert(response.responseText)
                    response.write(response.responseText)
                    console.log(response.responseText);
                }
            });
            
        }

        function OpenDetail(e)
        {
            CloseAllDivs();
            document.getElementById("divLoader").style.display = "block";
            platformSender = $(e).attr('platformSender')
            phoneIDSender = $(e).attr('phoneIDSender')
            adID = $(e).attr('AdID')
            $('#MessageDetail').empty();
            GetMessageDetail(platformSender,phoneIDSender,adID);
        }

        
        function OpenAd()
        {
            backPage = "MessageHome";
            currentPage = "AdDetail";
            GetAdDetail(adID);
        }


        function DeleteMessages()
        {
            var result = window.confirm(GetDBString("messageconfirm",lang));
            if (result == false) {
                e.preventDefault();
            };
            
            $.ajax({
                type: "POST",
                url: "http://www.whatscircle.com/Common.aspx/DeleteMessages",
                data: "{platformSender:'" +platformSender + "',phoneIDSender:'" +phoneIDSender+ "',platformReceiver:'" +device.platform + "',phoneIDReceiver:'" +device.uuid+ "', id:'" +adID+ "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (response) {
                    navigator.notification.alert(GetDBString("MessageDeleted",lang));
                    OpenMailBox();
                    
                },

                error: function (response) {
                    navigator.notification.alert(response.responseText)
                }
            });
            
        }
        
        function BlockUser()
        {
            var result = window.confirm(GetDBString("userblockedconfirm",lang));
            if (result == false) {
                e.preventDefault();
            };
            
            $.ajax({
                type: "POST",
                url: "http://www.whatscircle.com/Common.aspx/InsertBlockedUser",
                data: "{platform :'" +device.platform + "',phoneID:'" +device.uuid+ "',platformBlocked:'" +platformSender + "',phoneIDBlocked:'" +phoneIDSender+ "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (response) {
                    navigator.notification.alert(GetDBString("userblocked",lang));
                    OpenMailBox();
                },

                error: function (response) {
                    navigator.notification.alert(response.responseText)
                }
            });            
        }
        
        
        function SendMessage()
        {
            var message = document.getElementById("MessageEntry").value;
            
            if (message == "")
            {
                navigator.notification.alert(GetDBString("messagerequired",lang));
                return;
            }
            
            document.getElementById("btnSendMessage").disabled=true;

            $('<li>').append(GetDBString("You",lang) + '<br><br>' +message).appendTo('#MessageDetail');
            document.getElementById("MessageEntry").value="";
            $.ajax({
                type: "POST",
                url: "http://www.whatscircle.com/Common.aspx/SendMessageToAd",
                data: "{adID:'" + adID + "',message:'" + escapeHtml(message) + "',platformSender:'" + device.platform + "',phoneIDSender:'"+device.uuid+"',platformReceiver:'"+platformSender+"',phoneIDReceiver:'"+phoneIDSender+"',regIDSender:'" + regID + "',regIDReceiver:'"+regIDReceiver+"',msgNotification:'"+ GetDBString('Youhavemessage',adLang) +"',phoneModel:'"+device.model+"',phoneName:'"+device.name+"'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                async : true,
                success: function (response) {
                    
                },

                error: function (response) {
                    navigator.notification.alert(response.responseText)
                    console.log(response);
                }
                    
            });
            document.getElementById("MessageEntry").value = "";
            document.getElementById("btnSendMessage").disabled=false;
        }

        function SendMessageToAd()
        {
            var message = document.getElementById("MessageDet").value;
            
            if (message == "")
            {
                navigator.notification.alert(GetDBString("messagerequired",lang));
                return;
            }
            
            document.getElementById("btnSend").disabled=true;
            navigator.notification.alert(GetDBString("MessageSent",lang));
            
            $.ajax({
                type: "POST",
                url: "http://www.whatscircle.com/Common.aspx/SendMessageToAd",
                data: "{adID:'" + adID + "',message:'" + escapeHtml(message) + "',platformSender:'" + device.platform + "',phoneIDSender:'"+device.uuid+"',platformReceiver:'"+platformReceiver+"',phoneIDReceiver:'"+phoneIDReceiver+"',regIDSender:'" + regID + "',regIDReceiver:'"+regIDReceiver+"',msgNotification:'"+ GetDBString("Youhavemessage",adLang) +"',phoneModel:'"+device.model+"',phoneName:'"+device.name+"'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                async:true,
                success: function (response) {
                },

                error: function (response) {
                }
                    
            });
            
            document.getElementById("btnSend").disabled=false;
            document.getElementById("MessageDet").value = "";
            
        }


        function OpenMyAds()
        {
            action = "MyAds";
            document.getElementById("linkHome").style.backgroundColor="#FFFFFF";
            document.getElementById("linkRefresh").style.backgroundColor="#FFFFFF";
            document.getElementById("linkChat").style.backgroundColor="#FFFFFF";
            document.getElementById("linkForm").style.backgroundColor="#FFFFFF";
            document.getElementById("linkPost").style.backgroundColor="#B6F3FA";
            document.getElementById("linkInfo").style.backgroundColor="#FFFFFF";

            backPage = "AdList";
            currentPage = "MyAds";
            CloseAllDivs();
            document.getElementById("divLoader").style.display = "block"
            $('#MyAdvertisements').empty();
            
            $.ajax({
                type: "POST",
                url: "http://www.whatscircle.com/Common.aspx/GetMyAdvertisementList",
                data: "{platform:'" +device.platform + "',phoneID:'" +device.uuid+ "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (response) {
                    for (var i = 0; i < response.d.length; i++)
                    {
                        var html = "";
                        
                        if (response.d[i].RemainingDay >= 0)
                        {
                            html = "<a onclick='OpenMyAdDetail(this.id)' href='#' id='" + response.d[i].Id + "'><span class='cssSpan'>" + response.d[i].Subject + "</span></a><p>";                            
                        }else
                        {
                            html = "<a onclick='OpenMyAdDetail(this.id)' href='#' id='" + response.d[i].Id + "'><span class='cssSpan'><font color='red'>" + response.d[i].Subject + "</font></span></a><p>";                            
                        }
                            $('#MyAdvertisements').append(html)
                    }
                    $('#MyAdvertisements').trigger('create');
                    document.getElementById("divLoader").style.display = "none"
                    
                    if (action == "MyAds")
                        document.getElementById("divMyAds").style.display = "block";

                },

                error: function (response) {
                    alert(response.message)
                }
            });

        }
        
        function OpenAdList()
        {
            currentPage = "AdList"
            action = "List";
            CloseAllDivs();

            if (action == "List")
                document.getElementById("divAdlist").style.display = "block";
            
            document.getElementById("footerMenu").style.display = "block";
            document.getElementById("linkHome").style.backgroundColor="#B6F3FA";
            document.getElementById("linkRefresh").style.backgroundColor="#FFFFFF";
            document.getElementById("linkChat").style.backgroundColor="#FFFFFF";
            document.getElementById("linkForm").style.backgroundColor="#FFFFFF";
            document.getElementById("linkPost").style.backgroundColor="#FFFFFF";
            document.getElementById("linkInfo").style.backgroundColor="#FFFFFF";
            ControlUnreadMessages();
        }

        function ControlUnreadMessages()
        {
            var count = 0;
            
            $.ajax({
                type: "POST",
                url: "http://www.whatscircle.com/Common.aspx/GetUnreadMessagesCount",
                data: "{platformReceiver:'"+device.platform+"',phoneIDReceiver:'"+device.uuid+"'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (response) {
                    count = response.d;
                    if (count > 0)
                    {
                        document.getElementById("lblMesajlar").style.color = "#EE2A7B";
                        document.getElementById("lblMesajlar").style.fontWeight = "bold";
                    }
                    else
                    {
                        $("#lblMesajlar").removeAttr("style");
                    }
                        
                },

                error: function (response) {
                }
                    
            });
            
            return count;
        }

    function GetAdDetail(id)
    {
            action = "AdDetail";
            currentPage = "AdDetail";
            CloseAllDivs();
            document.getElementById("divLoader").style.display = "block"
            adID = id;
            platformSender = device.platform;
            phoneIDSender = device.uuid;

            document.getElementById("Body").innerText = "";
            document.getElementById("SubjectDetail").innerText = "";
            document.getElementById("MessageDet").value = "";
            document.getElementById("imgprvwDet1").style.display = "none";
            document.getElementById("imgprvwDet1").src = "";
            document.getElementById("imgprvwDet2").style.display = "none";
            document.getElementById("imgprvwDet2").src = "";
            document.getElementById("imgprvwDet3").style.display = "none";
            document.getElementById("imgprvwDet3").src = "";
            document.getElementById("imgprvwDet4").style.display = "none";
            document.getElementById("imgprvwDet4").src = "";
            document.getElementById("imgprvwDet5").style.display = "none";
            document.getElementById("imgprvwDet5").src = "";
            document.getElementById("imgprvwDet6").style.display = "none";
            document.getElementById("imgprvwDet6").src = "";
            document.getElementById("imgprvwDet7").style.display = "none";
            document.getElementById("imgprvwDet7").src = "";
            document.getElementById("imgprvwDet8").style.display = "none";
            document.getElementById("imgprvwDet8").src = "";
            document.getElementById("imgprvwDet9").style.display = "none";
            document.getElementById("imgprvwDet9").src = "";
            document.getElementById("imgprvwDet10").style.display = "none";
            document.getElementById("imgprvwDet10").src = "";
        
            $.ajax({
            type: "POST",
            url: "http://www.whatscircle.com/Common.aspx/GetAdInfo",
            data: "{id:'" + id + "'}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (response) {
                var d = response.d.AdDate.replace( /[\\/]/g, "");
                var dd = eval("new " + d);
                var strDate = dd.toLocaleDateString();
                
                
                adID = response.d.Id;
                category = response.d.Category;
                document.getElementById("AdDate").innerText = strDate;
                document.getElementById("Body").innerText = response.d.Body;
                document.getElementById("SubjectDetail").innerText = response.d.Subject;
                document.getElementById("lblError").innerText = "";

                if (response.d.RemainingDay < 0)
                    document.getElementById("lblError").innerText =  GetDBString("PostponedAd",lang);
                
                platformReceiver = response.d.Platform;
                phoneIDReceiver = response.d.PhoneID;
                regIDReceiver = response.d.RegID;
                
                if (response.d.Lang != "")
                    adLang = response.d.Lang;
                else
                {
                    if (response.d.CountryCode == "TR")
                        adLang = "tr";
                    else
                        adLang = "en";
                }
                
                if (response.d.UrlList != null)
                {
                    if (response.d.UrlList.length > 0)
                    {
                        photoCount = response.d.UrlList.length;
                        for (var i = 0; i < response.d.UrlList.length; i++)
                        {
                            var j = i + 1;
                            document.getElementById("imgprvwDet" + j).style.display = "block";
                            document.getElementById("imgprvwDet" + j).src = response.d.UrlList[i];
                        }
                    }
                }

                if (platformSender == platformReceiver && phoneIDSender == phoneIDReceiver)
                {
                    document.getElementById("btnSend").style.display = "none";
                    document.getElementById("MessageDet").style.display = "none";
                    document.getElementById("btnDelete").style.display = "block";
                    document.getElementById("btnEdit").style.display = "block";
                    document.getElementById("btnCopy").style.display = "block";
                    document.getElementById("btnFlag").style.display = "none";

                }
                else
                {
                    document.getElementById("btnSend").style.display = "block";
                    document.getElementById("MessageDet").style.display = "block";
                    document.getElementById("btnDelete").style.display = "none";
                    document.getElementById("btnEdit").style.display = "none";
                    document.getElementById("btnCopy").style.display = "none";
                    document.getElementById("btnFlag").style.display = "block";
                }
                
                document.getElementById("divLoader").style.display = "none";
                if (action == "AdDetail")
                    document.getElementById("divAdDetail").style.display = "block";
                
            },

            error: function (response) {
                navigator.notification.alert(response.responseText)
                console.log(response);
            }
        });
    }

    function OpenMyAdDetail(id)
    {
        backPage = "MyAd";
        currentPage = "AdDetail";
        GetAdDetail(id);
    }

    function CloseAllDivs()
    {
        document.getElementById("divAdlist").style.display = "none";
        document.getElementById("divCircle").style.display = "none";
        document.getElementById("divInfo").style.display = "none";
        document.getElementById("divAdDetail").style.display = "none";
        document.getElementById("divAdEntry").style.display = "none";
        document.getElementById("divMyAds").style.display = "none";
        document.getElementById("divMessages").style.display = "none";
        document.getElementById("headline").style.display = "none";
        document.getElementById("divLoader").style.display = "none";
        document.getElementById("divApprove").style.display = "none";
        document.getElementById("divBigImage").style.display = "none";
        $.mobile.silentScroll(0);
    }

    function MarginDivs()
    {
        document.getElementById("divAdlist").style.marginTop = "20px";
        document.getElementById("divCircle").style.marginTop = "20px";
        document.getElementById("divInfo").style.marginTop = "20px";
        document.getElementById("divAdDetail").style.marginTop = "20px";
        document.getElementById("divAdEntry").style.marginTop = "20px";
        document.getElementById("divMyAds").style.marginTop = "20px";
        document.getElementById("divMessages").style.marginTop = "20px";
        document.getElementById("headline").style.marginTop = "20px";
        document.getElementById("divLoader").style.marginTop = "20px";
        document.getElementById("divApprove").style.marginTop = "20px";
        document.getElementById("divBigImage").style.marginTop = "20px";
    }


    function SetLabels()
    {
        $("#lblHeader").text(GetDBString("AdvertisementDetail",lang));
        $("#lblSubject").text(GetDBString("Subject",lang));
        $("#lblSubjectDetail").text(GetDBString("Subject",lang));
        $("#lblMessageAdEntry").text(GetDBString("Message",lang));
        $("#lblButtonDetail").text(GetDBString("SendMessage",lang));
        $("#lblButtonMessage").text(GetDBString("SendMessage",lang));
        $("#lblSubject").text(GetDBString("Subject",lang));
        $("#lblMessageDetail").text(GetDBString("Message",lang));
        $("#lblCategory").text(GetDBString("Category",lang));
        $("#lblPublish").text(GetDBString("Publish",lang));
        $("#lblHome").text(GetDBString("Home",lang));
        $("#lblMessages").text(GetDBString("Messages",lang));
        $("#lblButton").text(GetDBString("SendMessage",lang));
        $("#lblMyAds").text(GetDBString("MyAdvertisements",lang));
        $("#lblAdDate").text(GetDBString("PublishDate",lang));
        $("#lblApprove").text(GetDBString("ApprovedAgreement",lang));
        $("#lblUserAgreement").text(GetDBString("UserLicenceAgreement",lang));
        $("#lblAnasayfa").text(GetDBString("AnaSayfa",lang));
        $("#lblYenile").text(GetDBString("Yenile",lang));
        $("#lblMesajlar").text(GetDBString("Mesajlar",lang));
        $("#lblIlanVer").text(GetDBString("IlanVer",lang));
        $("#lblIlanlarim").text(GetDBString("Ilanlarim",lang));
        $("#lblHakkinda").text(GetDBString("Hakkinda",lang));
        $("#lblSearchRange").text(GetDBString("SearchRange",lang));
        document.getElementById("divAggreement").innerHTML = GetDBString("aggreement","en");
        
    }

    function OpenCamera()
    {
        if (!(device.platform == 'android' || device.platform == 'Android'))
        {
            if (!document.getElementById("chkApprove").checked)
            {
                navigator.notification.alert(GetDBString("approvecheck",lang));
                return;
            }
        }
        
        if (document.getElementById("imgprvw1").src != "" && document.getElementById("imgprvw2").src != ""
            && document.getElementById("imgprvw3").src != "" && document.getElementById("imgprvw4").src != ""
            && document.getElementById("imgprvw5").src != "" && document.getElementById("imgprvw6").src != "" 
            && document.getElementById("imgprvw7").src != "" && document.getElementById("imgprvw8").src != "" 
            && document.getElementById("imgprvw9").src != "" && document.getElementById("imgprvw10").src != "")
        {
            navigator.notification.alert(GetDBString("uploaderror10",lang));
            return;
        }

        navigator.camera.getPicture( cameraSuccess, cameraError,  {quality:40, destinationType:Camera.DestinationType.FILE_URI,sourceType: Camera.PictureSourceType.CAMERA, correctOrientation : true});
    }

    function SelectPicture()
    {
        if (!(device.platform == 'android' || device.platform == 'Android'))
        {
            if (!document.getElementById("chkApprove").checked)
            {
                navigator.notification.alert(GetDBString("approvecheck",lang));
                return;
            }
        }
        
        if (document.getElementById("imgprvw1").src != "" && document.getElementById("imgprvw2").src != ""
            && document.getElementById("imgprvw3").src != "" && document.getElementById("imgprvw4").src != ""
            && document.getElementById("imgprvw5").src != "" && document.getElementById("imgprvw6").src != "" 
            && document.getElementById("imgprvw7").src != "" && document.getElementById("imgprvw8").src != "" 
            && document.getElementById("imgprvw9").src != "" && document.getElementById("imgprvw10").src != "")
        {
            navigator.notification.alert(GetDBString("uploaderror10",lang));
            return;
        }

        navigator.camera.getPicture( cameraSuccess, cameraError,  {quality:20, destinationType:Camera.DestinationType.FILE_URI,sourceType: Camera.PictureSourceType.PHOTOLIBRARY, correctOrientation : true});
    }

    function cameraSuccess(imageURI)
    {
        document.getElementById("divLoader").style.display = "block"
        document.getElementById("contactform").style.display = "none"

        var sYear  = new Date().getFullYear();
        var sMonth = (new Date().getMonth()) + 1;
        var sDay = new Date().getDate();
        var sHour = new Date().getHours();
        var sMinute = new Date().getMinutes();
        var sSecond = new Date().getSeconds();

        var sDate = sYear + "-" + sMonth + "-" + sDay + "-" + sHour + "-" + sMinute + "-" + sSecond
        if (imageURI.substring(0,21)=="content://com.android") {
          photo_split=imageURI.split("%3A");
          imageURI="content://media/external/images/media/"+photo_split[1];
        }


        var options = new FileUploadOptions();
        options.fileKey="file";
        options.fileName=imageURI.substr(imageURI.lastIndexOf('/')+1);
        options.mimeType="image/jpeg";
        options.chunkedMode = false;
        var params = {};
        params.uuid = device.uuid;
        params.platform = device.platform;
        params.time = sDate;

        var photoName = device.uuid + "_" + device.platform + "_" + sDate;

        options.params = params            

        var ft = new FileTransfer();
        ft.upload(imageURI, "http://www.whatscircle.com/AdEntry.ashx", win, fail, options);

        if (document.getElementById("imgprvw1").src == "")
        {
            document.getElementById("imgprvw1").src = imageURI;
            document.getElementById("divImg1").style.display="block";
            img1 = photoName;
            return;
        }

        if (document.getElementById("imgprvw2").src == "")
        {
            document.getElementById("imgprvw2").src = imageURI;
            document.getElementById("divImg2").style.display="block";
            img2 = photoName;
            return;
        }

        if (document.getElementById("imgprvw3").src == "")
        {
            document.getElementById("imgprvw3").src = imageURI;
            document.getElementById("divImg3").style.display="block";
            img3 = photoName;
            return;
        }

        if (document.getElementById("imgprvw4").src == "")
        {
            document.getElementById("imgprvw4").src = imageURI;
            document.getElementById("divImg4").style.display="block";
            img4 = photoName;
            return;
        }

        if (document.getElementById("imgprvw5").src == "")
        {
            document.getElementById("imgprvw5").src = imageURI;
            document.getElementById("divImg5").style.display="block";
            img5 = photoName;
            return;
        }

        
        if (document.getElementById("imgprvw6").src == "")
        {
            document.getElementById("imgprvw6").src = imageURI;
            document.getElementById("divImg6").style.display="block";
            img6 = photoName;
            return;
        }

        if (document.getElementById("imgprvw7").src == "")
        {
            document.getElementById("imgprvw7").src = imageURI;
            document.getElementById("divImg7").style.display="block";
            img7 = photoName;
            return;
        }

        if (document.getElementById("imgprvw8").src == "")
        {
            document.getElementById("imgprvw8").src = imageURI;
            document.getElementById("divImg8").style.display="block";
            img8 = photoName;
            return;
        }

        if (document.getElementById("imgprvw9").src == "")
        {
            document.getElementById("imgprvw9").src = imageURI;
            document.getElementById("divImg9").style.display="block";
            img9 = photoName;
            return;
        }

        if (document.getElementById("imgprvw10").src == "")
        {
            document.getElementById("imgprvw10").src = imageURI;
            document.getElementById("divImg10").style.display="block";
            img10 = photoName;
            return;
        }
        
        
    }

    function win(r) {
        document.getElementById("divLoader").style.display = "none"
        document.getElementById("contactform").style.display = "block"
    }

    function fail(error) {
        navigator.notification.alert("error: " + error.message);
        document.getElementById("divLoader").style.display = "none"
        InsertError("Adentryfail",device.model,error.message);
    }


    function cameraError(message)
    {
        navigator.notification.alert('Failed because: ' + message);
        InsertError("Adentryfail",device.model,message);
    }

    function DeleteImg(i)
    {
        document.getElementById("divImg"+i).style.display = "none";
        document.getElementById("imgprvw"+i).src = "";
        window["img" + i] = "";
    }

    function SendForm() {

        if (!(device.platform == 'android' || device.platform == 'Android'))
        {
            if (!document.getElementById("chkApprove").checked)
            {
                navigator.notification.alert(GetDBString("approvecheck",lang));
                return;
            }
        }
        
        if (gpsX == 0 || gpsY == 0)
        {
            navigator.notification.alert(GetDBString("OpenYourGPS",lang));
            return;
        }
        
        var fName = "";
        var status = "A";
        var subject = document.getElementById("Subject").value;
        var message = document.getElementById("Message").value;
        var category = document.getElementById("Category").value;

        if (subject == "")
        {
            navigator.notification.alert(GetDBString("subjectrequired",lang));
            return;
        }

        if (message == "")
        {
            navigator.notification.alert(GetDBString("messagerequired",lang));
            return;
        }
        if (category == "-1" || category == "")
        {
            navigator.notification.alert(GetDBString("categoryrequired",lang));
            return;
        }

        var str = img1 + "&" + img2 + "&" + img3 + "&" + img4 + "&" + img5 + "&" + img6 + "&" + img7 + "&" + img8 + "&" + img9 + "&" + img10;
        
            var AdEntity = {};
            AdEntity.CountryCode = country;
            AdEntity.CityCode = city_name;
            AdEntity.GpsX = gpsX;
            AdEntity.GpsY = gpsY;
            AdEntity.Platform = device.platform;
            AdEntity.PhoneID = device.uuid;
            AdEntity.Address = escapeHtml(address);
            AdEntity.PhoneModel = device.model;
            AdEntity.PhoneName = device.name;
            AdEntity.Lang = lang;
            AdEntity.Category = category;
            AdEntity.Subject = escapeHtml(subject);
            AdEntity.Body = escapeHtml(message);
            AdEntity.Distance = "0";
            AdEntity.RegID = regID;
            AdEntity.StrNames = str; 
        
        
        var urlStr = "http://www.whatscircle.com/Common.aspx/InsertAdvertisementWithEntity";
        if (oprType == "Edit")
        {
            AdEntity.Id = adID;
            urlStr = "http://www.whatscircle.com/Common.aspx/UpdateAdvertisement";
        }
        
        $('#chkApprove').click();
        $.ajax({
            type: "POST",
            url: urlStr,
            data: "{ad:" + JSON.stringify(AdEntity) + "}",   
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (response) {

                if (oprType == "Edit")
                    navigator.notification.alert(GetDBString("AdvertisementUpdated",lang));
                else
                    navigator.notification.alert(GetDBString("AdvertisementSent",lang));

                document.getElementById("Subject").value="";
                document.getElementById("Message").value="";
                document.getElementById("imgprvw1").src == "";
                document.getElementById("imgprvw2").src == "";
                document.getElementById("imgprvw3").src == "";
                document.getElementById("imgprvw4").src == "";
                document.getElementById("imgprvw5").src == "";
                document.getElementById("divImg1").style.display = "none";
                document.getElementById("divImg2").style.display = "none";
                document.getElementById("divImg3").style.display = "none";
                document.getElementById("divImg4").style.display = "none";
                document.getElementById("divImg5").style.display = "none";
                document.getElementById("divImg6").style.display = "none";
                document.getElementById("divImg7").style.display = "none";
                document.getElementById("divImg8").style.display = "none";
                document.getElementById("divImg9").style.display = "none";
                document.getElementById("divImg10").style.display = "none";                
                $('#Category').val("-1").change();
                img1=""; img2=""; img3=""; img4=""; img5="";img6=""; img7=""; img8=""; img9=""; img10="";
                OpenAdList();
            },

            error: function (response) {
                navigator.notification.alert(response.responseText)
            }
        });            
    }

    function onErrorAdEntry(error) {
        if (device.platform == 'android' || device.platform == 'Android') {
            cordova.exec(successPluginAdEntry, errorPlugin, "GPS", "getCache", []);                    
        }
        else{
            var par = device.model + " - " + device.name;
            InsertError("adentry_errorHandler",par,error.message);    
        }
    }

    function successPluginAdEntry(resp)
    {
        gpsX = resp[0];
        gpsY = resp[1];
        GetLocationAdEntry(resp[0],resp[1]);
    }


    function DeleteAd()
    {
        var result = window.confirm(GetDBString("adconfirm",lang));
        if (result == false) {
            e.preventDefault();
        };

        $.ajax({
            type: "POST",
            url: "http://www.whatscircle.com/Common.aspx/UpdateAdvertisementForDelete",
            data: "{adID:'" +adID+ "'}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (response) {
                navigator.notification.alert(GetDBString("AdDeleted",lang));
                OpenAdList();
            },

            error: function (response) {
            }
        });
    }


function FlagAd()
{
    var result = window.confirm(GetDBString("flagprompt",lang));
    if (result == false) {
        e.preventDefault();
    };
    
    $.ajax({
        type: "POST",
        url: "http://www.whatscircle.com/Common.aspx/FlagAd",
        data: "{adID:'" +adID+ "'}",
        contentType: "application/json; charset=utf-8",
        dataType: "json",
        success: function (response) {
            navigator.notification.alert(GetDBString("flagpromptresult",lang));
            OpenAdList();
        },
        error: function (response) {
        }
    });
}

function ControlBanned()
{
    $.ajax({
        type: "POST",
        url: "http://www.whatscircle.com/Common.aspx/ControlBanned",
        data: "{platform:'"+device.platform+"',phoneID:'"+device.uuid+"'}",
        contentType: "application/json; charset=utf-8",
        dataType: "json",
        async : false,
        success: function (response) {
            if (response.d == "1")
                bannedFlag = true;
            else
                bannedFlag = false;
        },
        error: function (response) {
            bannedFlag = false;
        }
    });
    
    return bannedFlag;
}


var entityMap = {
    "&": "&amp;",
    "<": "&lt;",
    ">": "&gt;",
    '"': '&quot;',
    "'": '&#39;',
    "/": '&#x2F;'
  };

  function escapeHtml(string) {
    return String(string).replace(/[&<>"'\/]/g, function (s) {
      return entityMap[s];
    });
  }

function GetPrevPhoto()
{
    if (imageNumber == 1) return;

    imageNumber = imageNumber -1;
    
    var photo  = "imgprvwDet" + imageNumber;
    document.getElementById("BigImage").src = document.getElementById(photo).src;
}

function GetNextPhoto()
{
    if (imageNumber >= photoCount)
    {
        imageNumber = photoCount;
        document.getElementById("btnNext").style.visibility = "hidden";
        
        return;
    }

    imageNumber = imageNumber+1;    

    var photo  = "imgprvwDet" + imageNumber;

    document.getElementById("BigImage").src = document.getElementById(photo).src;
}

function Edit()
{
    OpenAdEntry();
    backPage = "AdDetail";
    oprType = "Edit";
    $("#lblPublish").text(GetDBString("Update",lang));
    navigator.notification.alert(GetDBString("postingwillbeedited",lang));
    document.getElementById("Subject").value = document.getElementById("SubjectDetail").innerText;
    document.getElementById("Message").value = document.getElementById("Body").innerText;
    $('#Category').val(category).change();
    for (var i=1; i<=10; i++)
    {
        if (document.getElementById("imgprvwDet" + i).src.indexOf(".com") != "-1")
        {
            document.getElementById("imgprvw" + i).src = document.getElementById("imgprvwDet" + i).src;
            document.getElementById("divImg"+i).style.display = "block";
            var src = document.getElementById("imgprvw" + i).src;
            src = src.replace('http://www.whatscircle.com/UploadFolderImg/','');
            src = src.replace('.jpeg','');
            
            eval("img"+ i + " = src");
        }
    }
}


function Copy()
{
    OpenAdEntry();
    
    backPage = "AdDetail";
    oprType = "Copy";
    navigator.notification.alert(GetDBString("postingwillbecopied",lang));
    document.getElementById("Subject").value = document.getElementById("SubjectDetail").innerText;
    document.getElementById("Message").value = document.getElementById("Body").innerText;
    $('#Category').val(category).change();
    for (var i=1; i<=10; i++)
    {
        if (document.getElementById("imgprvwDet" + i).src.indexOf(".com") != "-1")
        {
            document.getElementById("imgprvw" + i).src = document.getElementById("imgprvwDet" + i).src;
            document.getElementById("divImg"+i).style.display = "block";
            var src = document.getElementById("imgprvw" + i).src;
            src = src.replace('http://www.whatscircle.com/UploadFolderImg/','');
            src = src.replace('.jpeg','');
            
            eval("img"+ i + " = src");
        }
    }
}


function GetLanguages()
{
    $('option','#Languages').remove();
    var res = GetParameterGeneral("LANG");
    for (var i=0; i<res.d.length; i++)
    {
        var langDef = GetDBString(res.d[i].ParameterDefinition,lang)
        $("<option value='"+res.d[i].ParameterCode+"'>"+langDef+"</option>").appendTo("#Languages");
    }
    
    $("#Languages").val(lang);

}